﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CategoryEditor.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Editor.CategoryEditor" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<%@ Register Src="~/Admin/Controls/FileUpload/FileUpload.ascx" TagPrefix="uc" TagName="FileUpload" %>

<table cellspacing="15" cellpadding="0" border="0" class="data">
    <tbody>
        <tr>
            <td class="form1">
                <div class="error">
                    <UI:ValidationSummary runat="server" ID="Errors" />
                </div>
                <UI:ActionResultView runat="server" ID="CustomActionResult" />
                <fieldset>
                    <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
                        <Header>
                            <h3 class="delimiter"><span><%=UI.Current.CategoryDetails %></span></h3>
                        </Header>
                        <Body>
                            <div class="form-content">
                                <table class="line-form">
                                    <tbody>
                                            <tr class="<%=GetRegionCSSClass(Name)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="NameFieldView" InputToDisplayID="Name" />
                                              </td>
                                              <td class="control">
                                                <UI:TextBox runat="server" ID="Name" Template-PropertyName="Name" 
                                                ExtendedTemplate-HighlightOnFocus="true" />
                                              </td>
                                            </tr>
                                             <tr class="<%=GetRegionCSSClass(ParentCategory)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="ParentCategoryFieldView" InputToDisplayID="ParentCategory" />
                                              </td>
                                              <td class="control">
                                                <Tree:CategoryParentList NeedStructure="true" id="ParentCategory" runat="server" 
                                                Template-PropertyName="ParentCategory"  DefaultItemText="Root"/>
                                              </td>
                                            </tr>
                                            <tr class="<%=GetRegionCSSClass(UrlField)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="UrlFieldView" InputToDisplayID="UrlField" />
                                              </td>
                                              <td class="control">
                                                <UI:TextBox runat="server" ID="UrlField" Template-PropertyName="Url" ExtendedTemplate-HighlightOnFocus="true" />
                                              </td>
                                            </tr>                                             
                                            <tr class="<%=GetRegionCSSClass(MetaTitle)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="MetaTitleFieldView" InputToDisplayID="MetaTitle" />
                                              </td>
                                              <td class="control">
                                                <UI:TextBox runat="server" ID="MetaTitle" Template-PropertyName="MetaTitle" 
                                                ExtendedTemplate-HighlightOnFocus="true" />
                                              </td>
                                            </tr>
                                            <tr class="<%=GetRegionCSSClass(MetaKeywords)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="MetaKeywordsFieldView" InputToDisplayID="MetaKeywords" />
                                              </td>
                                              <td class="control">
                                                <UI:TextBox runat="server" ID="MetaKeywords" Template-PropertyName="MetaKeywords" 
                                                ExtendedTemplate-HighlightOnFocus="true" />
                                              </td>
                                            </tr>
                                            <tr class="<%=GetRegionCSSClass(MetaDescription)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="MetaDescriptionFieldView" InputToDisplayID="MetaDescription" />
                                              </td>
                                              <td class="control">
                                                <UI:TextBox runat="server" ID="MetaDescription" Template-PropertyName="MetaDescription" 
                                                ExtendedTemplate-HighlightOnFocus="true" />
                                              </td>
                                            </tr>
                                            <tr class="<%=GetRegionCSSClass(Enabled)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="EnabledFieldView" InputToDisplayID="Enabled" />
                                              </td>
                                              <td class="control">
                                                <UI:CheckBox runat="server" ID="Enabled" Template-PropertyName="Enabled" 
                                                ExtendedTemplate-HighlightOnFocus="true" />
                                              </td>
                                            </tr>
                                            <tr class="<%=GetRegionCSSClass(SubscriptionOnly)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="SubscriptionOnlyFieldView" InputToDisplayID="SubscriptionOnly" />
                                              </td>
                                              <td class="control">
                                                <UI:CheckBox runat="server" ID="SubscriptionOnly" Template-PropertyName="SubscriptionOnly" 
                                                ExtendedTemplate-HighlightOnFocus="true" />
                                              </td>
                                            </tr>
                                    </tbody>
                                </table>
                            </div>
                        </Body>
                    </Control:CollapsableBox>
                </fieldset>
                <fieldset>
                    <Control:CollapsableBox runat="server" ID="ImageBox" IsCollapsable="true">
                        <Header>
                            <h3 class="delimiter"><span><%=UI.Current.CategoryImageDetails %></span></h3>
                        </Header>
                        <Body>
                            <div class="form-content">
                                <table class="line-form">
                                    <tbody>
                                            <tr class="<%=GetRegionCSSClass(TitleField)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="TitleFieldView" InputToDisplayID="TitleField" />
                                              </td>
                                              <td class="control">
                                                <UI:TextBox runat="server" ID="TitleField" Template-PropertyName="Image.Title" Template-IsRequired="false"
                                                ExtendedTemplate-HighlightOnFocus="true" />
                                              </td>
                                            </tr>
                                            <tr class="<%=GetRegionCSSClass(ImageUploader)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="FileFieldView" InputToDisplayID="ImageUploader" />
                                              </td>
                                              <td class="control">
                                                <uc:FileUpload runat="server" ID="ImageUploader" Template-PropertyName="Image.FileName" 
                                                Template-IsRequired="false"/>
                                              </td>
                                            </tr>
                                            <tr class="<%=GetRegionCSSClass(SaveToMediaLibrary)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="SaveToMediaLibraryFieldView" InputToDisplayID="SaveToMediaLibrary" RenderColons="false" />
                                              </td>
                                              <td class="control">
                                                <UI:CheckBox id="SaveToMediaLibrary" runat="server" 
                                                ExtendedTemplate-HighlightOnFocus="true" />
                                              </td>
                                            </tr>
                                            <tr class="<%=GetRegionCSSClass(MediaCategoryField)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="MediaCategoryFieldView" InputToDisplayID="MediaCategoryField" />
                                              </td>
                                              <td class="control">
                                                <Tree:MediaCategoryParentList NeedStructure="true" id="MediaCategoryField" runat="server" DefaultItemText="Root"/>
                                              </td>
                                            </tr>
                                    </tbody>
                                </table>
                            </div>
                        </Body>
                    </Control:CollapsableBox>
                </fieldset>
            </td>
        </tr>
        <tr>
            <td>
                <uc:ButtonsPanel runat="server" ID="Buttons" />
                <span class="obligatory-fields"><%=UI.Current.RequiredMessage %></span>
            </td>
        </tr>
    </tbody>
</table>