﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ContentPageEditor.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Editor.ContentPageEditor" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
    <tbody>
        <tr>
            <td class="form1">
                <div class="error">
                    <UI:ValidationSummary runat="server" ID="Errors" />
                </div>
                <UI:ActionResultView runat="server" ID="CustomActionResult" />
                <fieldset>
                    <Control:CollapsableBox runat="server" ID="Details" IsCollapsable="true">
                        <Header>
                            <h3 class="delimiter"><span><%=UI.Current.ContentPageDetails %></span></h3>
                        </Header>
                        <Body>
                            <div class="form-content">
                                <table class="line-form">
                                    <tbody>
                                          <tr class="<%=GetRegionCSSClass(ParentContentPage)%>">
                                            <td class="label">
                                              <UI:FieldView runat="server" ID="ParentContentPageFieldView"
                                              InputToDisplayID="ParentContentPage" />
                                            </td>
                                            <td class="control">
                                              <Tree:ContentPageParentList id="ParentContentPage" runat="server" 
                                              Template-PropertyName="ParentContentPage"  DefaultItemText="Root"/>
                                            </td>
                                          </tr>
                                          <tr class="<%=GetRegionCSSClass(TitleField)%>">
                                            <td class="label">
                                              <UI:FieldView runat="server" ID="TitleFieldView" InputToDisplayID="TitleField" />
                                            </td>
                                            <td class="control">
                                              <UI:TextBox id="TitleField" runat="server" Template-PropertyName="Title" 
                                              ExtendedTemplate-HighlightOnFocus="true"/>
                                            </td>
                                          </tr>  
                                          <tr class="<%=GetRegionCSSClass(Header)%>">
                                            <td class="label">
                                              <UI:FieldView runat="server" ID="HeaderFieldView" InputToDisplayID="Header" />
                                            </td>
                                            <td class="control">
                                              <UI:TextBox id="Header" runat="server" Template-PropertyName="Header" 
                                              ExtendedTemplate-HighlightOnFocus="true"/>
                                            </td>
                                          </tr>
                                          <tr class="<%=GetRegionCSSClass(Url)%>">
                                            <td class="label">
                                              <UI:FieldView runat="server" ID="UrlFieldView" InputToDisplayID="Url" />
                                            </td>
                                            <td class="control">
                                              <UI:TextBox id="Url" runat="server" Template-PropertyName="Url" 
                                              ExtendedTemplate-HighlightOnFocus="true"/>
                                            </td>
                                          </tr>
                                          <tr class="<%=GetRegionCSSClass(Content)%>" id="<%=Content.ClientID + FCKWrapperID%>">
                                            <td class="label">
                                              <UI:FieldView runat="server" ID="ContentFieldView" InputToDisplayID="Content" />
                                            </td>
                                            <td class="control">
                                              <UI:TextArea ID="Content" runat="server" Template-PropertyName="Content" />
                                            </td>
                                          </tr>
                                          <tr class="<%=GetRegionCSSClass(SubscriptionOnly)%>">
                                            <td class="label">
                                              <UI:FieldView runat="server" ID="SubscriptionOnlyFieldView" 
                                              InputToDisplayID="SubscriptionOnly"/>
                                            </td>
                                            <td class="control">
                                              <UI:CheckBox id="SubscriptionOnly" runat="server" 
                                              Template-PropertyName="SubscriptionOnly" 
                                              ExtendedTemplate-HighlightOnFocus="true"/>
                                            </td>
                                          </tr>
                                          <tr class="<%=GetRegionCSSClass(MetaTitle)%>">
                                            <td class="label">
                                              <UI:FieldView runat="server" ID="MetaTitleFieldView" 
                                              InputToDisplayID="MetaTitle" />	  
                                            </td>
                                            <td class="control">
                                              <UI:TextBox id="MetaTitle" runat="server" 
                                              Template-PropertyName="MetaTitle" ExtendedTemplate-HighlightOnFocus="true"/>
                                            </td>
                                          </tr>
                                          
                                          <tr class="<%=GetRegionCSSClass(MetaKeywords)%>">
                                            <td class="label">
                                              <UI:FieldView runat="server" ID="MetaKeywordsFieldView" 
                                              InputToDisplayID="MetaKeywords" />	  
                                            </td>
                                            <td class="control">
                                              <UI:TextBox id="MetaKeywords" runat="server" 
                                              Template-PropertyName="MetaKeywords" ExtendedTemplate-HighlightOnFocus="true"/>
                                            </td>
                                          </tr>
                                          <tr class="<%=GetRegionCSSClass(MetaDescription)%>">
                                            <td class="label">
                                              <UI:FieldView runat="server" ID="MetaDescriptionFieldView" 
                                              InputToDisplayID="MetaDescription" />
                                            </td>
                                            <td class="control">
                                              <UI:TextBox id="MetaDescription" runat="server" 
                                              Template-PropertyName="MetaDescription" Rows="5" 
                                              ExtendedTemplate-HighlightOnFocus="true"/>
                                            </td>
                                          </tr>
                                    </tbody>
                                </table>
                            </div>
                        </Body>
                    </Control:CollapsableBox>
                </fieldset>
            </td>
        </tr>
        <tr>
            <td>
                <uc:ButtonsPanel runat="server" ID="Buttons" />
                <span class="obligatory-fields"><%=UI.Current.RequiredMessage %></span>
            </td>
        </tr>
    </tbody>
</table>