﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductKitEditor.ascx.cs" Inherits="Core.Web.Admin.Controls.Editor.ProductKitEditor" %>

<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>

<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>

<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error">
          <UI:ValidationSummary runat="server" ID="Errors" />
        </div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        <fieldset>
          <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
            <Header>
              <h3 class="delimiter"><span><%=UI.Current.ProductKitDetails%></span></h3></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form">
                  <tbody>
                    <tr class="<%=GetRegionCSSClass(Title)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="TitleFieldView" InputToDisplayID="Title" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="Title" Template-PropertyName="Product.Title" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(Reference)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="ReferenceFieldView" InputToDisplayID="Reference" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="Reference" Template-PropertyName="Product.Reference" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(Price)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="PriceFieldView" InputToDisplayID="Price" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="Price" Template-PropertyName="Product.Price" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(IncludeVAT)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="IncludeVATFieldView" InputToDisplayID="IncludeVAT" />
                      </td>
                      <td class="control">
                        <UI:CheckBox runat="server" ID="IncludeVAT" Template-PropertyName="Product.IncludeVAT" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(Summary)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="SummaryFieldView" InputToDisplayID="Summary" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="Summary" Template-PropertyName="Product.Summary" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(Description)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="DescriptionFieldView" InputToDisplayID="Description" />
                      </td>
                      <td class="control">
                        <UI:TextArea runat="server" ID="Description" Template-PropertyName="Product.Description" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <% if (IsFeaturedEnabled) { %>
                      <tr class="<%=GetRegionCSSClass(SpecialOffer)%>">
                        <td class="label">
                          <UI:FieldView runat="server" ID="FieldView1" InputToDisplayID="SpecialOffer" />
                        </td>
                        <td class="control">
                          <UI:CheckBox runat="server" ID="SpecialOffer" Template-PropertyName="Product.SpecialOffer" ExtendedTemplate-HighlightOnFocus="true" />
                        </td>
                      </tr>          
                      <tr class="<%=GetRegionCSSClass(Featured)%>">
                        <td class="label">
                          <UI:FieldView runat="server" ID="FieldView2" InputToDisplayID="Featured" />
                        </td>
                        <td class="control">
                          <UI:CheckBox runat="server" ID="Featured" Template-PropertyName="Product.Featured" ExtendedTemplate-HighlightOnFocus="true" />
                        </td>
                      </tr>
                    <% } %>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
        <fieldset>
          <Control:CollapsableBox runat="server" ID="MetaDataCollapsableBox" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span>Meta Data</span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form">
                  <tbody>
                    <tr class="<%=GetRegionCSSClass(UrlField)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="UrlFieldView" InputToDisplayID="UrlField" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="UrlField" Template-PropertyName="Product.Url" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>                  
                    <tr class="<%=GetRegionCSSClass(MetaTitle)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="MetaTitleFieldView" InputToDisplayID="MetaTitle" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="MetaTitle" Template-PropertyName="Product.MetaTitle" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(MetaKeywords)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="MetaKeywordsFieldView" InputToDisplayID="MetaKeywords" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="MetaKeywords" Template-PropertyName="Product.MetaKeywords"
                          ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(MetaDescription)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="MetaDescriptionFieldView" InputToDisplayID="MetaDescription" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="MetaDescription" Template-PropertyName="Product.MetaDescription"
                          ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
      </td>
    </tr>
    <tr>
      <td>
        <uc:ButtonsPanel runat="server" ID="Buttons" />
        <span class="obligatory-fields"><%=UI.Current.RequiredMessage %></span>
      </td>
    </tr>
  </tbody>
</table>